rte_flow_item_icmp6_nd_opt_tla_eth(3)

NAME
rte_flow_item_icmp6_nd_opt_tla_eth

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint8_t type
uint8_t length
struct rte_ether_addr tla

Detailed Description

RTE_FLOW_ITEM_TYPE_ICMP6_ND_OPT_TLA_ETH

Matches an ICMPv6 neighbor discovery target Ethernet link-layer address option.

Normally preceded by any of:

•   RTE_FLOW_ITEM_TYPE_ICMP6_ND_NS

•   RTE_FLOW_ITEM_TYPE_ICMP6_ND_OPT

Definition at line 1597 of file rte_flow.h.

Field Documentation

  uint8_t type
ND option type, normally 2.

Definition at line 1598 of file rte_flow.h.

  uint8_t length
ND option length, normally 1.

Definition at line 1599 of file rte_flow.h.

  struct rte_ether_addr tla
Target Ethernet LLA.

Definition at line 1600 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.